<!DOCTYPE html>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="j_idt5">
	<title>Roman Nazarenko: Home</title>
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.js"></script>
	<script type="text/javascript"
			src="http://localhost:8080/home/javax.faces.resource/Semantic-UI/2.1.8/semantic.js.xhtml?ln=webjars"></script>
	<link type="text/css" rel="stylesheet"
		  href="http://localhost:8080/home/javax.faces.resource/Semantic-UI/2.1.8/semantic.css.xhtml?ln=webjars"/>
	<link type="text/css" rel="stylesheet" href="../resources/css/custom.css"/>
	<link type="text/css" rel="stylesheet" href="../resources/css/fonts_1.css"/>
	<script type="text/javascript">

		jQuery.fn.api.settings.api = {
			search: '/api/search?q={query}',
		};

		$(function () {
			$('.ui.dropdown').dropdown();
			$('.ui.accordion').accordion();
			$('.ui.search').search({
				apiSettings: {
					action: 'search'
				}
			});
			$('#user-menu-dropdown').dropdown({
				action: 'hide',
			});
		});
	</script>
	<script type="text/javascript">
		$(function () {
			$('#photoImageId').bind('click', function (event) {
				if (event.ctrlKey && event.altKey) {
					$('#magicalLoginFormId').modal('show');
				}
			})
		})
	</script>
</head>
<body class="pushable">
<div class="pusher">
	<div class="ui container framed">
		<div class="ui secondary pointing menu">
			<div class="item">
				<i class="user icon"></i>
				<b>Roman Nazarenko</b>
			</div>
			<a href="/jacra/index.xhtml" class="active item">About</a>
			<a href="/jacra/index.xhtml" class="item">Projects</a>
			<a href="/jacra/index.xhtml" class="item">Blog</a>
			<div class="ui dropdown item">
				Admin
				<div class="menu">
					<a class="link item">Edit bio</a>
					<a class="link item">Edit projects</a>
					<a class="link item">Edit blog</a>
				</div>
			</div>
			<div class="right menu">
				<div class="ui item">
					<div class="ui category transparent icon input search">
						<input class="prompt" placeholder="Search..." type="text"/>
						<i class="search icon"></i>
						<div class="results">Some</div>
					</div>
				</div>
				<div id="user-menu-dropdown" class="ui dropdown item">
					<span class="text">Jtalk</span>
					<i class="user icon"></i>
					<div class="menu">
						<a class="item">Profile</a>
						<a class="item">Preferences</a>
						<div class="divider"></div>
						<a class="item">Logout</a>
					</div>
				</div>
			</div>
		</div>

		<div class="ui centered two columns stackable grid">
			<div class="ui eleven wide column">
				<h1>Search results for &quot;cool&quot;:</h1>
				<div class="ui segment items">
					<div class="item">
						<div class="content">
							<a class="header">
								<h1>Project: Some cool project</h1>
							</a>
							<div class="ui divider"></div>
							<div class="description">
								Some contet preview
							</div>
						</div>
					</div>
				</div>
				<div class="ui segment items">
					<div class="item">
						<div class="content">
							<a class="header">
								<h1>Project: Some cool project</h1>
							</a>
							<div class="ui divider"></div>
							<div class="description">
								Some contet preview
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="ui three wide column">
				<div class="ui card">
					<div class="image">
						<img id="photoImageId" src="../resources/images/avatar.png"/>
					</div>
					<div class="content">
						<div class="header">Roman Nazarenko</div>
						<div class="meta">
							Jtalk
						</div>
						<div class="description">
							Java EE developer, Free software enthusiast
							<br/>
							<br/>
						</div>
						<div class="extra content">
							<i class="user icon"></i>
							me@jtalk.me
						</div>
					</div>
				</div>
				<div class="ui footer-margin card">
					<div class="content">
						<div class="header">
							Latest posts
						</div>
						<div class="description">
							<div class="ui divider"></div>
							<div class="ui list">
								<div class="item">
									<div class="content">
										<h4 class="header">
											Cute blog post!
										</h4>
									</div>
								</div>
								<div class="item">
									<div class="content">
										<h4 class="header">
											An another cute blog post!
										</h4>
										<div class="description">
											April, 17 2016
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<p/>
		<p/>
	</div>

	<footer class="ui inverted basic segment container">
		<div class="ui center aligned container">
			<div class="ui inverted section divider"/>
			<div class="ui horizontal inverted small divided">
				Copyright (C) 2016
				<a href="https://jtalk.me" class="ui author-link">
					Roman Nazarenko
				</a>
			</div>
		</div>
	</footer>
</div>
</body>
</html>